/*
 * blancoDb
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.expander.query.field;

import blanco.ig.expander.Scope;
import blanco.ig.expander.Type;
import blanco.ig.expander.field.FieldExpander;

/**
 * QueryクラスのfStatementフィールドです。
 * 
 * @author IGA Tosiki
 */
public class StatementField extends FieldExpander {
    /**
     * QueryクラスのfStatementフィールドのコンストラクタです。
     * 
     * @param className
     *            ステートメントの実際のクラス名。java.sql.PreparedStatementクラスの場合と
     *            java.sql.CallableStatementクラスの場合があります。
     * @author IGA Tosiki
     */
    public StatementField(final String className) {
        super(new Type(className), "fStatement");

        getJavaDoc().addLine("このクラスが内部的に利用するステートメントオブジェクト。");
        getJavaDoc().addLine("");
        getJavaDoc().addLine("このオブジェクトはデータベース接続オブジェクトから生成されて内部的に利用されます。<br>");
        getJavaDoc().addLine("closeメソッドの呼び出し時に、このオブジェクトのcloseを実行します。");
    }

    /**
     * ジェネレーションギャップデザインパターンが利用可能になる目的で、スコープはprotectedとします。
     */
    protected Scope getScope() {
        return Scope.PROTECTED;
    }
}
